### Method

# Atk Value get_sub_ranges

since: 2.12

#### Declaration [src]

    GSList*
    atk_value_get_sub_ranges (
      AtkValue* obj
    )

#### Description [src]

Gets the list of subranges defined for this object. See `AtkValue` introduction for examples of subranges and when to expose them.

Available since: 2.12

#### Return value

Type: A list of `AtkRange*`

An `GSList` of `AtkRange` which each of the subranges defined for this object. Free the returns list with g_slist_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.